=== debian/changelog ===
remrun (0.2.1-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports:
    - temporarily drop dh-sequence-single-binary until a more recent
      version of debhelper is backported

 -- Peter Pentchev <roam@debian.org>  Sat, 16 Jul 2022 10:41:29 +0300

remrun (0.2.1-1) unstable; urgency=medium

  * Declare compliance with Policy 4.6.1 with no changes.
  * New upstream release.
  * Source-only upload for testing migration. Closes: #1014836

 -- Peter Pentchev <roam@debian.org>  Thu, 14 Jul 2022 01:18:37 +0300

remrun (0.2.0-1) unstable; urgency=low

  * Initial release. Closes: #1008207

 -- Peter Pentchev <roam@debian.org>  Thu, 24 Mar 2022 13:56:24 +0200
