=== debian/control ===
Source: remrun
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper-compat (= 13),
 openssh-client <!nocheck>,
 openssh-server <!nocheck>,
 python3 <!nocheck>,
 python3-cfg-diag <!nocheck>,
 python3-utf8-locale <!nocheck>,
Standards-Version: 4.6.1
Homepage: https://devel.ringlet.net/sysutils/remrun/
Vcs-Git: https://gitlab.com/ppentchev/remrun.git -b debian/unstable
Vcs-Browser: https://gitlab.com/ppentchev/remrun/tree/debian/unstable
Rules-Requires-Root: no

Package: remrun
Architecture: all
Depends:
  ${misc:Depends},
Multi-Arch: foreign
Description: copy a file to a remote host and execute it there
 The remrun tool may be useful for one-off execution of a series of commands
 or a complicated command that does not easily lend itself to shell quoting
 and escaping via SSH. It copies the specified file to the remote host using
 SSH under a temporary filename, executes it on the remote side, then
 removes the temporary file.
