=== debian/tests/control ===
Test-Command: set -e; for py in $(py3versions -i); do printf '\n\n=== %s\n\n' "$py"; env PYTHONPATH="$(pwd)/tests/python" "$py" -B -u -m run_sshd_test -v /usr/bin/remrun; done
Depends: @, openssh-client, openssh-server, python3-all, python3-cfg-diag, python3-utf8-locale
Features: test-name=upstream-sshd-simple
Restrictions: allow-stderr

Test-Command: set -e; for py in $(py3versions -i); do printf '\n\n=== %s\n\n' "$py"; env PYTHONPATH="$(pwd)/tests/python" "$py" -B -u -m run_sshd_test -v -t tests/run-test.sh /usr/bin/remrun; done
Depends: @, openssh-client, openssh-server, python3-all, python3-cfg-diag, python3-utf8-locale
Features: test-name=upstream-sshd-suite
Restrictions: allow-stderr
