=== tests/requirements.txt ===
cfg_diag >= 0.4, < 0.5
utf8_locale >= 1, < 2
