=== debian/changelog ===
remrun (0.2.3-1) unstable; urgency=medium

  * Adapt to the API change in python3-cfg-diag 0.4:
    - bump the version of the python3-cfg-diag dependency in
      debian/control and debian/tests/control
    - note that the test suite needs changes that are included in
      the new 0.2.3 upstream release
  * New upstream release that includes the cfg-diag 0.4 support changes.

 -- Peter Pentchev <roam@debian.org>  Fri, 04 Nov 2022 20:55:25 +0200

remrun (0.2.2-1) unstable; urgency=medium

  * New upstream release:
    - add a >= 0.3 version constraint to the python3-cfg-diag dependency
  * Note that the autopkgtest needs root privileges.
    Closes: #1018155

 -- Peter Pentchev <roam@debian.org>  Fri, 02 Sep 2022 00:14:14 +0300
