=== debian/control ===
--- 
+++ 
@@ -4,10 +4,11 @@
 Maintainer: Peter Pentchev <roam@debian.org>
 Build-Depends:
  debhelper-compat (= 13),
+ dh-sequence-single-binary,
  openssh-client <!nocheck>,
  openssh-server <!nocheck>,
  python3 <!nocheck>,
- python3-cfg-diag <!nocheck>,
+ python3-cfg-diag (>= 0.4) <!nocheck>,
  python3-utf8-locale <!nocheck>,
 Standards-Version: 4.6.1
 Homepage: https://devel.ringlet.net/sysutils/remrun/
