=== debian/rules ===
#!/usr/bin/make -f

%:
	dh '$@'

override_dh_auto_test:
	if [ -d /run/sshd ]; then \
		dh_auto_test -- SKIP_SHELLCHECK=1; \
	else \
		echo 'No /run/sshd directory, not running the upstream test suite'; \
	fi

override_dh_auto_install:
	dh_auto_install -- \
		PREFIX=/usr \
		MANDIR=/usr/share/man/man \
		INSTALL_PROGRAM='install -m 755' \
		INSTALL_DATA='install -m 644' \
		# EOL

override_dh_installchangelogs:
	dh_installchangelogs -X NEWS.md
	install -m 644 NEWS.md debian/remrun/usr/share/doc/remrun/NEWS
