=== debian/changelog ===
remrun (0.2.4-2) unstable; urgency=medium

  * Add the tests-unpriv-refactor, tests-unpriv-fail, and
    writable-homedir patches cherry-picked from upstream.
    Closes: #1104510

 -- Peter Pentchev <roam@debian.org>  Sat, 03 May 2025 02:22:42 +0300

remrun (0.2.4-1) unstable; urgency=medium

  * Declare compliance with Policy 4.7.0 with no changes.
  * Add the year 2023 to my debian/* copyright notice.
  * Include dpkg's default.mk for completeness.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.
  * Switch to debhelper compat level 14:
    - use X-DH-Compat
    - pass --destdir to dh_auto_install
    - let debhelper handle some dependencies automatically
  * Add a trivial git-buildpackage config file.
  * New upstream release:
    - drop the B-D on python3-cfg-diag
    - reflect upstream's change to yearless copyright notices
    - also drop the years in my debian/* copyright notice
  * Use debputy's X-Style: black.

 -- Peter Pentchev <roam@debian.org>  Sun, 29 Dec 2024 22:28:35 +0200
