=== debian/control ===
--- 
+++ 
@@ -3,23 +3,22 @@
 Priority: optional
 Maintainer: Peter Pentchev <roam@debian.org>
 Build-Depends:
- debhelper-compat (= 13),
+ debhelper (>> 13.15.2~),
  dh-sequence-single-binary,
+ dpkg-build-api (= 1),
  openssh-client <!nocheck>,
  openssh-server <!nocheck>,
  python3 <!nocheck>,
- python3-cfg-diag (>= 0.4) <!nocheck>,
  python3-utf8-locale <!nocheck>,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.0
+X-DH-Compat: 14
 Homepage: https://devel.ringlet.net/sysutils/remrun/
 Vcs-Git: https://gitlab.com/ppentchev/remrun.git -b debian/unstable
 Vcs-Browser: https://gitlab.com/ppentchev/remrun/tree/debian/unstable
-Rules-Requires-Root: no
+X-Style: black
 
 Package: remrun
 Architecture: all
-Depends:
-  ${misc:Depends},
 Multi-Arch: foreign
 Description: copy a file to a remote host and execute it there
  The remrun tool may be useful for one-off execution of a series of commands
