=== debian/rules ===
--- 
+++ 
@@ -1,4 +1,6 @@
 #!/usr/bin/make -f
+
+include /usr/share/dpkg/default.mk
 
 %:
 	dh '$@'
@@ -11,7 +13,7 @@
 	fi
 
 override_dh_auto_install:
-	dh_auto_install -- \
+	dh_auto_install --destdir '$(CURDIR)/debian/remrun' -- \
 		PREFIX=/usr \
 		MANDIR=/usr/share/man/man \
 		INSTALL_PROGRAM='install -m 755' \
